function r = kTurretBios(ref,turretID)

if nargin~=2
	disp('KTURRETBIOS   return bios version of turret ')
	disp(' ')
	disp('value = kTurretBios(ref,turretID) ')
	disp('  Use the communication parameters specified with kcmd. ')
	disp(' ')
	disp('  Written by Skye Legon, K-Team SA, 02/99 ')
	return
end

reply = kTurret(ref,turretID,'B');
if reply==-1
	errmsg=-1;
else
	[value,count,errmsg] = sscanf(reply,'b,%d,%d');
end

if isempty(errmsg)
   disp(sprintf('Turret BIOS version %d.%d',value(1),value(2)));
   r = value;
else
   r = -1;
end
