function fig = kVoltageG(ref)
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

if nargin~=1
	disp('KVOLTAGEG    graphical display of Kameleon supply voltage')
	disp(' ')
	disp('kVoltageG(ref)')
	disp('  use the reference returned by kopen')
	disp(' ')
	disp('  Written by Skye Legon, K-Team SA, 05/99')
	return
end

load kVoltageG

h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','C:\Skye\kMatlab\kameleonMatlab\Win32\kVoltageG.m', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[669.75 117.75 88.5 318], ...
	'MenuBar','none', ...
	'Tag','Fig1', ...
	'ToolBar','none');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',[38 93 69 291], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XTickLabel',['0  ';'0.5';'1  '], ...
	'XTickLabelMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YGrid','off', ...
	'YLim',[0 20], ...
	'YLimMode','manual', ...
	'ZColor',[0 0 0]);
%	'CreateFcn',mat2, ...
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4852941176470589 -0.551724137931032 17.32050807568877], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.3676470588235294 9.931034482758621 17.32050807568877], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.5588235294117647 22.75862068965517 17.32050807568877], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4852941176470589 20.48275862068966 17.32050807568877], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback',mat5, ...
	'ListboxTop',0, ...
	'Position',[10.5 36.75 69.75 23.25], ...
	'String','Info', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','set(gcf,''UserData'',''stop'')', ...
	'ListboxTop',0, ...
	'Position',[10.5 6 69.75 23.25], ...
	'String','Exit', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[10.5 292.5 70.5 15], ...
	'String','Supply Voltage', ...
	'Style','text', ...
	'Tag','StaticText1');
if nargout > 0, fig = h0; end

kVoltageGloop(ref);

function fun = kVoltageGloop(ref)

set(gcf,'UserData','play');
voltage = kGetAnalog(ref,15)/50;              
patchhandle = patch([.3 .3 .7 .7],[0 voltage voltage 0],'r');
set(patchhandle,'EraseMode','background')
vertices = get(patchhandle,'Vertices');
faces = get(patchhandle,'Faces');
while (get(gcf,'UserData')=='play')
	voltage = kGetAnalog(ref,15)/50;              
	vertices(faces(1,2:3),2) = voltage;
	set(patchhandle,'Vertices',vertices);
	drawnow;
end
close(gcf);

