function r = kWriteByte(ref,data,address)

if nargin~=3
	disp('KWRITEBYTE   Write a byte to the extension bus ')
	disp(' ')
	disp('value = kWriteByte(ref,data,address) ')
	disp('  Write a data byte to an address (0..63) on the extension bus ')
	disp('  Use the communication parameters specified with kcmd. ')
	disp(' ')
	disp('  Written by Skye Legon, K-Team SA, 2/99 ')
	return
end

value = kcmd(ref,sprintf('W,%d,%d',round(data),round(address)));
if value == 'w'
   r = 0;
else
   r = -1;
end

